From b41122b4f26359c429f2e320f0cdd0fd85314465 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 16 Jan 2025 16:29:47 +1100
Subject: [PATCH v2] TOAST not toast.

---
 doc/src/sgml/amcheck.sgml         |  4 ++--
 doc/src/sgml/bki.sgml             |  2 +-
 doc/src/sgml/catalogs.sgml        |  2 +-
 doc/src/sgml/logicaldecoding.sgml |  2 +-
 doc/src/sgml/ref/alter_table.sgml |  2 +-
 doc/src/sgml/ref/pg_amcheck.sgml  | 12 ++++++------
 doc/src/sgml/sepgsql.sgml         |  2 +-
 7 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/doc/src/sgml/amcheck.sgml b/doc/src/sgml/amcheck.sgml
index 3af0656..da0d78c 100644
--- a/doc/src/sgml/amcheck.sgml
+++ b/doc/src/sgml/amcheck.sgml
@@ -258,8 +258,8 @@ SET client_min_messages = DEBUG1;
          TOAST table.
         </para>
         <para>
-         This option is known to be slow.  Also, if the toast table or its
-         index is corrupt, checking it against toast values could conceivably
+         This option is known to be slow.  Also, if the TOAST table or its
+         index is corrupt, checking it against TOAST values could conceivably
          crash the server, although in many cases this would just produce an
          error.
         </para>
diff --git a/doc/src/sgml/bki.sgml b/doc/src/sgml/bki.sgml
index 3cd5bee..53a982b 100644
--- a/doc/src/sgml/bki.sgml
+++ b/doc/src/sgml/bki.sgml
@@ -1042,7 +1042,7 @@ $ perl  rewrite_dat_with_prokind.pl  pg_proc.dat
     </listitem>
     <listitem>
      <para>
-      Define indexes and toast tables.
+      Define indexes and TOAST tables.
      </para>
     </listitem>
     <listitem>
diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 238ed67..4c65686 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -1954,7 +1954,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       </para>
       <para>
        The OID of the data type that corresponds to this table's row type,
-       if any; zero for indexes, sequences, and toast tables, which have
+       if any; zero for indexes, sequences, and TOAST tables, which have
        no <structname>pg_type</structname> entry
       </para></entry>
      </row>
diff --git a/doc/src/sgml/logicaldecoding.sgml b/doc/src/sgml/logicaldecoding.sgml
index 1c4ae38..ea65a4a 100644
--- a/doc/src/sgml/logicaldecoding.sgml
+++ b/doc/src/sgml/logicaldecoding.sgml
@@ -1368,7 +1368,7 @@ commit_prepared_cb(...);  &lt;-- commit of the prepared transaction
     currently used for decoded changes) is selected and streamed.  However, in
     some cases we still have to spill to disk even if streaming is enabled
     because we exceed the memory threshold but still have not decoded the
-    complete tuple e.g., only decoded toast table insert but not the main table
+    complete tuple e.g., only decoded TOAST table insert but not the main table
     insert.
    </para>
 
diff --git a/doc/src/sgml/ref/alter_table.sgml b/doc/src/sgml/ref/alter_table.sgml
index 938450f..0c462d2 100644
--- a/doc/src/sgml/ref/alter_table.sgml
+++ b/doc/src/sgml/ref/alter_table.sgml
@@ -825,7 +825,7 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
 
      <para>
       <literal>SHARE UPDATE EXCLUSIVE</literal> lock will be taken for
-      fillfactor, toast and autovacuum storage parameters, as well as the
+      fillfactor, TOAST and autovacuum storage parameters, as well as the
       planner parameter <varname>parallel_workers</varname>.
      </para>
     </listitem>
diff --git a/doc/src/sgml/ref/pg_amcheck.sgml b/doc/src/sgml/ref/pg_amcheck.sgml
index 6bfe287..ef2bdfd 100644
--- a/doc/src/sgml/ref/pg_amcheck.sgml
+++ b/doc/src/sgml/ref/pg_amcheck.sgml
@@ -41,7 +41,7 @@ PostgreSQL documentation
   </para>
 
   <para>
-   Only ordinary and toast table relations, materialized views, sequences, and
+   Only ordinary and TOAST table relations, materialized views, sequences, and
    btree indexes are currently supported.  Other relation types are silently
    skipped.
   </para>
@@ -276,7 +276,7 @@ PostgreSQL documentation
      <term><option>--no-dependent-toast</option></term>
      <listitem>
       <para>
-       By default, if a table is checked, its toast table, if any, will also
+       By default, if a table is checked, its TOAST table, if any, will also
        be checked, even if it is not explicitly selected by an option
        such as <literal>--table</literal> or <literal>--relation</literal>.
        This option suppresses that behavior.
@@ -306,9 +306,9 @@ PostgreSQL documentation
      <term><option>--exclude-toast-pointers</option></term>
      <listitem>
       <para>
-       By default, whenever a toast pointer is encountered in a table,
+       By default, whenever a TOAST pointer is encountered in a table,
        a lookup is performed to ensure that it references apparently-valid
-       entries in the toast table. These checks can be quite slow, and this
+       entries in the TOAST table. These checks can be quite slow, and this
        option can be used to skip them.
       </para>
      </listitem>
@@ -368,9 +368,9 @@ PostgreSQL documentation
        End checking at the specified block number.  An error will occur if the
        table relation being checked has fewer than this number of blocks.
        This option does not apply to indexes, and is probably only useful when
-       checking a single table relation. If both a regular table and a toast
+       checking a single table relation. If both a regular table and a TOAST
        table are checked, this option will apply to both, but higher-numbered
-       toast blocks may still be accessed while validating toast pointers,
+       TOAST blocks may still be accessed while validating TOAST pointers,
        unless that is suppressed using
        <option>--exclude-toast-pointers</option>.
       </para>
diff --git a/doc/src/sgml/sepgsql.sgml b/doc/src/sgml/sepgsql.sgml
index ca038d7..eab5fde 100644
--- a/doc/src/sgml/sepgsql.sgml
+++ b/doc/src/sgml/sepgsql.sgml
@@ -433,7 +433,7 @@ UPDATE t1 SET x = 2, y = func1(y) WHERE z = 100;
    <para>
     The default database privilege system allows database superusers to
     modify system catalogs using DML commands, and reference or modify
-    toast tables.  These operations are prohibited when
+    TOAST tables.  These operations are prohibited when
     <filename>sepgsql</filename> is enabled.
    </para>
   </sect3>
-- 
1.8.3.1

